=== debian/control ===
Source: topgit
Section: vcs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 bash-completion,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://repo.or.cz/w/topgit.git
Vcs-Git: https://salsa.debian.org/debian/topgit.git
Vcs-Browser: https://salsa.debian.org/debian/topgit

Package: topgit
Architecture: all
Depends:
 git (>= 1:1.7) | git-core,
 ${misc:Depends}
Suggests: git-email, make, quilt
Description: a Git patch queue manager
 TopGit manages a patch queue using Git topic branches, one patch per
 branch. It allows for patch dependencies and can thus manage
 non-linear patch series.
 .
 TopGit is a minimal layer on top of Git, which does not limit use of
 Git's functionality (such as the index). It rigorously keeps history
 until a patch is accepted upstream. It is also fully usable across
 distributed repositories.
