=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export prefix=/usr

%:
	dh $@ --with bash_completion
